Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.util.parsers
Class ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.pdfclown.util.parsers.ParseException

All Implemented Interfaces:
  Serializable

    public class ParseException

extends RuntimeException

Exception thrown in case of unexpected condition while parsing.

Since:
  0.1.1
Version:
  0.1.1, 04/25/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)
See Also:
  Serialized Form

Constructor Summary
`ParseException(String message)`
`ParseException(String message, long position)`
`ParseException(String message, Throwable cause)`
`ParseException(String message, Throwable cause, long position)`
`ParseException(Throwable cause)`

Method Summary
`long` | `getPosition()` Gets the offset where error happened.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseException

    public ParseException(String message)

### ParseException

    public ParseException(String message,
                          long position)

### ParseException

    public ParseException(Throwable cause)

### ParseException

    public ParseException(String message,
                          Throwable cause)

### ParseException

    public ParseException(String message,
                          Throwable cause,
                          long position)

Method Detail

### getPosition

    public long getPosition()

  Gets the offset where error happened.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.